import { LineWriter, PuppeteerStringifyExtension, Selector, Step, UserFlow } from '@puppeteer/replay';
export declare class CodeceptjsStringifyExtension extends PuppeteerStringifyExtension {
    #private;
    beforeAllSteps(out: LineWriter, flow: UserFlow): Promise<void>;
    afterAllSteps(out: LineWriter): Promise<void>;
    stringifyStep(out: LineWriter, step: Step, flow: UserFlow): Promise<void>;
    getSelector(selectors: Selector[], flow: UserFlow): string | undefined;
    filterArrayByString(selectors: Selector[], filterValue: string): Selector[];
    logStepsNotImplemented(step: Step): void;
}
